Results 1 to 4 of 4

Thread: Why `zypper up` tries to install new stuff?

  1. #1
    Join Date
    Mar 2013
    Posts
    48

    Default Why `zypper up` tries to install new stuff?

    Whenever I do `sudo zypper up` it tries to install some new stuff that I don't want and I don't need. For example, this is the current output of `sudo zypper up`:

    Code:
    The following 17 NEW packages are going to be installed:
      amarok ibus ibus-branding-openSUSE-KDE ibus-gtk ibus-gtk3 ibus-qt kaffeine kmahjongg kmail kmines kontact kreversi ksudoku ktorrent libunwind-devel tigervnc ucode-amd
    I delibarately removed some of them and I don't want them to be re-installed, but zypper up just insists. Any ideas why is it doing that and how do I prevent it?

    Thanks.

  2. #2

    Default Re: Why `zypper up` tries to install new stuff?

    Hi,

    Those packages might be a dependency on some packages (or not). IIRC you can disable it in

    Code:
    /etc/zypp/zypp.conf
    That being said you can lock those packages either via yast or zypper.
    With zypper you read this.
    Code:
    zypper help al
    In yast you can check to

    Code:
    taboo
    the packages.

    the lock file is in

    Code:
    /etc/zypp/locks
    "Unfortunately time is always against us" -- [Morpheus]

    .:https://github.com/Jetchisel:.

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,345
    Blog Entries
    3

    Default Re: Why `zypper up` tries to install new stuff?

    In Yast, you can blackiist the packages that you don't want to ever install. There's probably also a way to do that with "zypper".

    Alternatively, you can set the option in Yast Software Management -- "Ignore Recommended Packages for already installed packages". I don't think that helps with "zypper" -- you would probably have to get into the habit of using the option "--no-recommends".
    openSUSE Leap 15.1; KDE Plasma 5;

  4. #4
    Join Date
    Mar 2013
    Posts
    48

    Default Re: Why `zypper up` tries to install new stuff?

    Thanks all. I enabled the "Ignore Recommended Packages for already installed packages" setting in Yast and added

    Code:
    solver.onlyRequires = true
    and I think it worked!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •